/*------------------------------------*\
    #TEXTTRANSFORM
\*------------------------------------*/
/**
 * Text transform helpers.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}text-lowercase,
%#{$inuit-namespace}text-lowercase {
    text-transform: lowercase;
}

.#{$inuit-namespace}text-uppercase,
%#{$inuit-namespace}text-uppercase {
    text-transform: uppercase;
}

.#{$inuit-namespace}text-capitalize,
%#{$inuit-namespace}text-capitalize {
    text-transform: capitalize;
}

.#{$inuit-namespace}text-nowrap,
%#{$inuit-namespace}text-nowrap {
    white-space: nowrap;
}

.#{$inuit-namespace}text-truncate,
%#{$inuit-namespace}text-truncate {
    @include drk-text-truncate;
}

.#{$inuit-namespace}text-indent,
%#{$inuit-namespace}text-indent {
    margin-left: 30px;
}
